@import '../css/typography.css';

.Layout {
  height: auto;
  .section {
    text-align: center;
    overflow: hidden;

    h3.ant-typography,
    h4.ant-typography {
      margin-bottom: 0.5em;
      color: #f0f0f0;
      font-weight: 600;
      line-height: 1.2;
      text-shadow: -4px 5px 0px #061629;
      font-family: 'PEPSI';
      letter-spacing: 4px;
      size: landscape;
      font-size: 1.8rem;
    }
  }
  .fp-tableCell {
    display: table-cell;
    vertical-align: baseline;
    width: 100%;
    height: 100%;
  }
  .ant-card {
    background: #061629;
    background: #00587a;

    &-head-title {
      display: inline-block;
      flex: 1 1;
      padding: 16px 0;
      overflow: hidden;
      white-space: nowrap;
      text-overflow: ellipsis;
      color: #ffdf00;
      font-weight: 600;
      font-size: 1.2em;
      line-height: 1.5;
      text-align: center;
      text-transform: uppercase;
      font-family: 'PEPSI', georgia, serif;
      letter-spacing: 2px;
    }
    &-meta-description {
      color: #e7e7de;
    }
  }
  .ant-layout {
    background-image: url('../../assets/images/serv4.jpg');
    background-repeat: repeat;
    background-size: auto;
    background-position: center;
  }
  .ant-result {
    background-image: url('../../assets/images/erro404.png');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    height: 90vh;
  }

  .ant-layout-header {
    border-bottom: 2px solid #128bec85;
    z-index: 1000;
  }
  .ant-layout-footer {
    height: 100vh;
  }
  .ant-layout-footer {
    padding: 0;
    color: inherit;
    font-size: inherit;
    width: 100%;
    background-image: url('../../assets/images/serv4.jpg');
    background-repeat: repeat;
    background-size: auto;
    background-position: center;
  }
  .mark {
    display: flex;
    align-items: center;
    flex: 1;
    color: #ffdf00;
    font-weight: 600;
    line-height: 1.5;
    font-family: 'PEPSI', georgia, serif;
    font-size: 1.8em;
  }
  ::selection {
    background: #0f3057;
    color: #ffdf00;
  }
}
.m-modal .m-modal-content a.m-by {
  display: none !important;
  background-color: greenyellow;
}
.m-modal.m-dark .m-modal-content {
  background-color: #061629 !important;
}
#fp-nav ul li a span,
.fp-slidesNav ul li a span {
  background: #f7df00;
}

#fp-nav ul li:hover a.active span,
#fp-nav ul li a.active span,
.fp-slidesNav ul li:hover a.active span,
.fp-slidesNav ul li a.active span {
  background: #061629;
  padding: 4px;
  border: 4px solid #f7df00;
}

#fp-nav ul li .fp-tooltip {
  top: -5px;
  color: #e3eaf3;
  letter-spacing: 4px;
  cursor: pointer;
  font-family: 'PEPSI';
}
.overlay {
  position: absolute;
  top: 0px;
  left: 0px;
  bottom: 0px;
  width: 100%;
  background-color: #000;
  opacity: 0.6;
}

/* Let's get this party started */
::-webkit-scrollbar {
  width: 12px;
}

::-webkit-scrollbar {
  width: 10px;
  background-color: transparent;
  border-radius: 10px;
}
::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: #061629;
  border: 1px solid;
  border-radius: 10px;
}
::-webkit-scrollbar-thumb {
  box-sizing: border-box;
  position: absolute;
  background: #ffdf00;
  border: 1px solid #128bec85;
  border-radius: 10px;
  width: 100%;
  transition-duration: 0ms;
  display: block;
  height: 138px;
  transform: translate(0px, 29px) translateZ(0px);
  transition-timing-function: cubic-bezier(0.1, 0.57, 0.1, 1);

  &:hover {
    background: #061629;
    padding: 4px;
    border: 2px solid #f7df00;
  }
}
